Skip to main content
GET
/
api
/
v1
/
recurringtransfers
Tekrarlayan transferleri listele
curl --request GET \
  --url https://transfer-sandbox.payven.com.tr/api/v1/recurringtransfers \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "is_success": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "extra_properties_dict": {},
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "plan_name": "<string>",
        "connector_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "amount": 123,
        "description": "<string>",
        "start_date": "2023-11-07T05:31:56Z",
        "end_date": "2023-11-07T05:31:56Z",
        "repeat_count": 123,
        "is_indefinite": true,
        "month_day": 123,
        "week_days": [
          123
        ],
        "reminder_days": 123,
        "notify_on_success": true,
        "notify_on_error": true,
        "next_payment_date": "2023-11-07T05:31:56Z",
        "execution_count": 123,
        "last_executed_at": "2023-11-07T05:31:56Z",
        "connector_account": {
          "extra_properties_dict": {},
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "holder_name": "<string>",
          "description": "<string>",
          "account_number": "<string>",
          "iban": "<string>",
          "masked_card_no": "<string>",
          "card_token": "<string>",
          "connector_configuration_name": "<string>",
          "connector_name": "<string>",
          "connector_code": "<string>",
          "bank_name": "<string>",
          "bank_code": "<string>"
        },
        "recipient": {
          "extra_properties_dict": {},
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "first_name": "<string>",
          "last_name": "<string>",
          "holder_name": "<string>",
          "description": "<string>",
          "account_number": "<string>",
          "iban": "<string>",
          "masked_card_no": "<string>",
          "card_token": "<string>",
          "bank_name": "<string>",
          "bank_code": "<string>"
        }
      }
    ],
    "page": 123,
    "total_pages": 123,
    "total_count": 123,
    "has_previous_page": true,
    "has_next_page": true
  }
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

page
integer<int32>
page_size
integer<int32>
search_term
string
status
enum<string>
Available options:
Active,
Paused,
Completed,
Cancelled
repeat_type
enum<string>
Available options:
Daily,
Weekly,
Monthly,
Yearly
connector_account_id
string<uuid>
recipient_id
string<uuid>
start_date_from
string<date-time>
start_date_to
string<date-time>
min_amount
number<double>
max_amount
number<double>

Response

OK

message
string | null
is_success
boolean
code
string | null
data
object